package com.mortals.xhx.module.window.model;

import java.util.List;
import com.mortals.xhx.module.window.model.WindowBusinessEntity;
/**
* 窗口业务查询对象
*
* @author zxfei
* @date 2022-01-12
*/
public class WindowBusinessQuery extends WindowBusinessEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 窗口id */
    private Long windowIdStart;

    /** 结束 窗口id */
    private Long windowIdEnd;

    /** 增加 窗口id */
    private Long windowIdIncrement;

    /** 窗口id列表 */
    private List <Long> windowIdList;

    /** 窗口名称 */
    private List<String> windowNameList;

    /** 开始 业务ID */
    private Long businessIdStart;

    /** 结束 业务ID */
    private Long businessIdEnd;

    /** 增加 业务ID */
    private Long businessIdIncrement;

    /** 业务ID列表 */
    private List <Long> businessIdList;

    /** 业务名称 */
    private List<String> businessNameList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowBusinessQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowBusinessQuery> andConditionList;

    public WindowBusinessQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 窗口id
    * @return windowIdStart
    */
    public Long getWindowIdStart(){
        return this.windowIdStart;
    }

    /**
    * 设置 开始 窗口id
    * @param windowIdStart
    */
    public void setWindowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
    }

    /**
    * 获取 结束 窗口id
    * @return $windowIdEnd
    */
    public Long getWindowIdEnd(){
        return this.windowIdEnd;
    }

    /**
    * 设置 结束 窗口id
    * @param windowIdEnd
    */
    public void setWindowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
    }

    /**
    * 获取 增加 窗口id
    * @return windowIdIncrement
    */
    public Long getWindowIdIncrement(){
        return this.windowIdIncrement;
    }

    /**
    * 设置 增加 窗口id
    * @param windowIdIncrement
    */
    public void setWindowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
    }

    /**
    * 获取 窗口id
    * @return windowIdList
    */
    public List<Long> getWindowIdList(){
        return this.windowIdList;
    }

    /**
    * 设置 窗口id
    * @param windowIdList
    */
    public void setWindowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
    }

    /**
    * 获取 窗口名称
    * @return windowNameList
    */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
    * 设置 窗口名称
    * @param windowNameList
    */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }
    /**
    * 获取 开始 业务ID
    * @return businessIdStart
    */
    public Long getBusinessIdStart(){
        return this.businessIdStart;
    }

    /**
    * 设置 开始 业务ID
    * @param businessIdStart
    */
    public void setBusinessIdStart(Long businessIdStart){
        this.businessIdStart = businessIdStart;
    }

    /**
    * 获取 结束 业务ID
    * @return $businessIdEnd
    */
    public Long getBusinessIdEnd(){
        return this.businessIdEnd;
    }

    /**
    * 设置 结束 业务ID
    * @param businessIdEnd
    */
    public void setBusinessIdEnd(Long businessIdEnd){
        this.businessIdEnd = businessIdEnd;
    }

    /**
    * 获取 增加 业务ID
    * @return businessIdIncrement
    */
    public Long getBusinessIdIncrement(){
        return this.businessIdIncrement;
    }

    /**
    * 设置 增加 业务ID
    * @param businessIdIncrement
    */
    public void setBusinessIdIncrement(Long businessIdIncrement){
        this.businessIdIncrement = businessIdIncrement;
    }

    /**
    * 获取 业务ID
    * @return businessIdList
    */
    public List<Long> getBusinessIdList(){
        return this.businessIdList;
    }

    /**
    * 设置 业务ID
    * @param businessIdList
    */
    public void setBusinessIdList(List<Long> businessIdList){
        this.businessIdList = businessIdList;
    }

    /**
    * 获取 业务名称
    * @return businessNameList
    */
    public List<String> getBusinessNameList(){
        return this.businessNameList;
    }

    /**
    * 设置 业务名称
    * @param businessNameList
    */
    public void setBusinessNameList(List<String> businessNameList){
        this.businessNameList = businessNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public WindowBusinessQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public WindowBusinessQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public WindowBusinessQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public WindowBusinessQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public WindowBusinessQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  窗口id
    * @param windowId
    */
    public WindowBusinessQuery windowId(Long windowId){
	    setWindowId(windowId);
		return this;
    }
	
	 /**
    * 设置 开始 窗口id
    * @param windowIdStart
    */
    public WindowBusinessQuery windowIdStart(Long windowIdStart){
		this.windowIdStart = windowIdStart;
		return this;
    }

    /**
    * 设置 结束 窗口id
    * @param windowIdEnd
    */
    public WindowBusinessQuery windowIdEnd(Long windowIdEnd){
		this.windowIdEnd = windowIdEnd;
		return this;
    }

    /**
    * 设置 增加 窗口id
    * @param windowIdIncrement
    */
    public WindowBusinessQuery windowIdIncrement(Long windowIdIncrement){
		this.windowIdIncrement = windowIdIncrement;
		return this;
    }

    /**
    * 设置 窗口id
    * @param windowIdList
    */
    public WindowBusinessQuery windowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
		return this;
        }


	/**
    * 设置 窗口名称
    * @param windowName
    */
    public WindowBusinessQuery windowName(String windowName){
        setWindowName(windowName);
		return this;
    }

    /**
    * 设置 窗口名称
    * @param windowNameList
    */
    public WindowBusinessQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
		return this;
    }

    /**
    * 设置  业务ID
    * @param businessId
    */
    public WindowBusinessQuery businessId(Long businessId){
	    setBusinessId(businessId);
		return this;
    }
	
	 /**
    * 设置 开始 业务ID
    * @param businessIdStart
    */
    public WindowBusinessQuery businessIdStart(Long businessIdStart){
		this.businessIdStart = businessIdStart;
		return this;
    }

    /**
    * 设置 结束 业务ID
    * @param businessIdEnd
    */
    public WindowBusinessQuery businessIdEnd(Long businessIdEnd){
		this.businessIdEnd = businessIdEnd;
		return this;
    }

    /**
    * 设置 增加 业务ID
    * @param businessIdIncrement
    */
    public WindowBusinessQuery businessIdIncrement(Long businessIdIncrement){
		this.businessIdIncrement = businessIdIncrement;
		return this;
    }

    /**
    * 设置 业务ID
    * @param businessIdList
    */
    public WindowBusinessQuery businessIdList(List<Long> businessIdList){
        this.businessIdList = businessIdList;
		return this;
        }


	/**
    * 设置 业务名称
    * @param businessName
    */
    public WindowBusinessQuery businessName(String businessName){
        setBusinessName(businessName);
		return this;
    }

    /**
    * 设置 业务名称
    * @param businessNameList
    */
    public WindowBusinessQuery businessNameList(List<String> businessNameList){
        this.businessNameList = businessNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public WindowBusinessQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public WindowBusinessQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public WindowBusinessQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public WindowBusinessQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public WindowBusinessQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<WindowBusinessQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<WindowBusinessQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<WindowBusinessQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<WindowBusinessQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}